<?php
session_start();
$servername = "localhost";
$username = "itladevprubycom_enma";
$password = "53gNpj4t.xDc";
$database = "itladevprubycom_enma1";

$conexion = new mysqli($servername, $username, $password, $database);

$query = $conexion->prepare("SELECT * FROM produc");
$query->execute();
$data = $query->get_result();

if(!empty($_GET["id"])){
    $id1 = $_GET["id"];
}


$id = $_SESSION["id"];

$nombre = @$_POST["nombre"];
$precio = @$_POST["precio"];
$descripcion = @$_POST["descripcion"];
$img = @$_POST["img"];

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    $nombre = $_POST["nombre"];
    $precio = $_POST["precio"];
    $descripcion = $_POST["descripcion"];
    $archivotmp = $_FILES['img']['tmp_name'];
    $nombrefile = $_FILES['img']['name'];
    $carpetafate = '../img/';
    
    if(move_uploaded_file($archivotmp, $carpetafate . $nombrefile)){
    }
    
    $nombre = $_POST["nombre"];
    $query = "UPDATE produc SET producto = '$nombre', precio = '$precio', descripcion = '$descripcion', img = '$carpetafate$nombrefile' WHERE id='$id1'";
    $editar = $conexion->prepare($query);
    $editar->execute();
    header("Location: edtienda1.php?id=".$id);
    exit(); 
}



?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Editar Registro</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/uikit@3.18.1/dist/css/uikit.min.css" />
    <script src="https://cdn.jsdelivr.net/npm/uikit@3.18.1/dist/js/uikit.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/uikit@3.18.1/dist/js/uikit-icons.min.js"></script>
</head>
<body>
    <?php include "navbar.php";?>
    <div class="uk-card uk-card-body uk-flex uk-flex-center">
        <div class="uk-container">
            <h3>El producto que editas es: <?php echo $nombre?></h3>
            <div class="uk-flex uk-flex-middle">
                <form action="" onsubmit="return validaciond();" method="post" enctype="multipart/form-data">
                    <div class="uk-margin">
                        <label class="uk-form-label" for="form-stacked-text">Nombre del producto:</label>
                        <input class="uk-input uk-form-medium" id="nombre" type="text" placeholder="Editar Nombre" name="nombre" value="<?php echo $nombre; ?>">
                    </div>
                    <div class="uk-margin">
                        <label class="uk-form-label" for="form-stacked-text">Precio del producto:</label>
                        <input class="uk-input uk-form-medium" id="precio" type="number" placeholder="Editar precio" name="precio" value="<?php echo $precio; ?>">
                    </div>
                    <div class="uk-margin">
                        <label class="uk-form-label" for="form-stacked-text">Descripcion del producto:</label>
                        <input class="uk-input uk-form-medium" id="descripcion" type="text" placeholder="Editar descripcion" name="descripcion" value="<?php echo $descripcion; ?>">
                    </div>
                    <div class="uk-margin">
                        <label class="uk-form-label" for="form-stacked-text">Imagen del producto (max 1mb):</label>
                        <input class="uk-input uk-form-medium" id="img" type="file" placeholder="Cambiar img" name="img" value="<?php echo $img; ?>">
                    </div>
                    <div class="uk-margin uk-flex uk-flex-center">
                        <button type="submit" class="uk-button uk-button-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<script>
    function validaciond() {
        let nombre = document.getElementById('nombre').value;
        let precio = document.getElementById('precio').value;
        let descripcion = document.getElementById('descripcion').value;
        let img = document.getElementById('img').value;

        if (nombre.length === 0) {
            alert('Nombre esta vacio');
            return false;
        }
        if (precio.length === 0) {
            alert('Precio esta vacio');
            return false;
        }
        if (descripcion.length === 0) {
            alert('No se ha descrito el producto');
            return false;
        }
        if (img.length == 0) {
            alert('No ha seleccionado ninguna imagen');
            return false;
        }

        alert('Se edito el producto correctamente');
        return true;
    }
</script> 
</body>
</html>
